Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Sun, 03 May 2009 01:39:30 +0300

> However, when I replaced
>
>   (funcall old-fun)
>
> with
>
>   (funcall 'split-window-vertically)
>
> in your patch, it works perfectly in all configurations I tried.

I still think `split-window-vertically' is more appropriate because
in a dired buffer it should unconditionally split the original window
vertically.  In such situations `split-window-sensibly' is
the wrong method
with the wrong technique

It displays a new window
in the wrong place
at the wrong time

For the wrong reason and
the wrong rhyme

On the wrong day of
the wrong week

Wrong

Wrong

-- 
Juri Linkov
http://www.jurta.org/emacs/